/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_AdvertiserIdentifier_H_
#define	_AdvertiserIdentifier_H_


#include <asn_application.h>

/* Including external dependencies */
#include <UTF8String.h>

#ifdef __cplusplus
extern "C" {
#endif

/* AdvertiserIdentifier */
typedef UTF8String_t	 AdvertiserIdentifier_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_AdvertiserIdentifier;
asn_struct_free_f AdvertiserIdentifier_free;
asn_struct_print_f AdvertiserIdentifier_print;
asn_constr_check_f AdvertiserIdentifier_constraint;
ber_type_decoder_f AdvertiserIdentifier_decode_ber;
der_type_encoder_f AdvertiserIdentifier_encode_der;
xer_type_decoder_f AdvertiserIdentifier_decode_xer;
xer_type_encoder_f AdvertiserIdentifier_encode_xer;
per_type_decoder_f AdvertiserIdentifier_decode_uper;
per_type_encoder_f AdvertiserIdentifier_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _AdvertiserIdentifier_H_ */
#include <asn_internal.h>
